Canonicalize -sco4 and -sco3.2.4 to -sco3.2v4.